Bug 1197148 - icewm-1.3.8-5 does not build on ppc64le/aarch64
Summary: icewm-1.3.8-5 does not build on ppc64le/aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: icewm
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gilboa Davara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64 epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-02-27 15:21 UTC by Menanteau Guy
Modified: 2015-12-12 19:22 UTC (History)
5 users (show)

Fixed In Version: icewm-1.3.8-9.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-12 19:22:55 UTC


Attachments (Terms of Use)
add ppc64le support in config.guess (331 bytes, patch)
2015-02-27 15:21 UTC, Menanteau Guy
no flags Details | Diff

Description Menanteau Guy 2015-02-27 15:21:51 UTC
Created attachment 996092 [details]
add ppc64le support in config.guess

Description of problem:
Building icewm-1.3.8-5 for epel 7 on ppc64le arch leads to following error:
configure: error: cannot guess build type; you must specify one

ppc64le arch is not supported in config.guess.

Please consider config.guess patch.

Comment 1 Menanteau Guy 2015-02-27 17:23:41 UTC
More info.
When I look to spec files used to build fedora I see they use %configure macro.
But, in spec files used to build epel (same packages), they use ./configure instead of macro.
This change the behaviour of the build and the need of the patch.
Compare for example, spec file of 
http://koji.fedoraproject.org/koji/buildinfo?buildID=581943
and http://koji.fedoraproject.org/koji/buildinfo?buildID=538460, 
same icewm-1.3.8-3 packages.

I don't know why macro is not used on epel but the patch is needed in my epel 7 ppc64le environment when macro %configure is not used in the spec file.

I need explanation about this difference to be sure the problem is not coming from my epel environment.
Thanks

Comment 2 Gilboa Davara 2015-04-25 05:08:58 UTC
Hi,

I had to "fork" the EPEL build specs from the Fedora build specs due to changes in the Fedora build system.
I have no objections to using %configure in EPEL7 if it solves the issue.

- Gilboa

Comment 3 Menanteau Guy 2015-05-11 09:41:11 UTC
Hi,
I think %configuration is really needed in EPEL7, so it would be nice if you can use it for the EPEL7 version.
Thanks

Comment 4 Yaakov Selkowitz 2015-11-25 23:45:34 UTC
Same applies to aarch64.

Comment 5 Peter Robinson 2015-12-07 00:27:31 UTC
> I had to "fork" the EPEL build specs from the Fedora build specs due to
> changes in the Fedora build system.

Not sure why you needed to actually do that. I've made some changes to the spec which enables you do build on at least f2x/el6/el7, I think the tarball is too new for el5 (and it failed previously). Let me know if you have any queries.

Comment 6 Fedora Update System 2015-12-07 01:12:24 UTC
icewm-1.3.8-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3f46af4d2b

Comment 7 Fedora Update System 2015-12-08 07:21:46 UTC
icewm-1.3.8-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update icewm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3f46af4d2b

Comment 8 Fedora Update System 2015-12-10 05:35:43 UTC
icewm-1.3.8-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-216d54101f

Comment 9 Fedora Update System 2015-12-10 11:21:30 UTC
icewm-1.3.8-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update icewm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-216d54101f

Comment 10 Fedora Update System 2015-12-12 19:22:52 UTC
icewm-1.3.8-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.